import { ContractId, Signer, Transaction } from '@hashgraph/sdk';
import TransactionAdapter from '../TransactionAdapter';
import { MirrorNodeAdapter } from '../mirror/MirrorNodeAdapter';
import NetworkService from '../../../app/service/network/NetworkService';
import TransactionResponse from '../../../domain/context/transaction/TransactionResponse';
import { MirrorNodes } from '../../../domain/context/network/MirrorNode';
import { JsonRpcRelays } from '../../../domain/context/network/JsonRpcRelay';
import { Factories } from '../../../domain/context/factory/Factories';
import BigDecimal from '../../../domain/context/shared/BigDecimal';
import { Security } from '../../../domain/context/security/Security';
import { SecurityRole } from '../../../domain/context/security/SecurityRole';
import { Resolvers } from '../../../domain/context/factory/Resolvers';
import { BusinessLogicKeys } from '../../../domain/context/factory/BusinessLogicKeys';
import EvmAddress from '../../../domain/context/contract/EvmAddress';
import { BondDetails } from '../../../domain/context/bond/BondDetails';
import { EquityDetails } from '../../../domain/context/equity/EquityDetails';
import { TransactionType } from '../TransactionResponseEnums';
import { ClearingOperationType } from '../../../domain/context/security/Clearing';
export declare abstract class HederaTransactionAdapter extends TransactionAdapter {
    protected readonly mirrorNodeAdapter: MirrorNodeAdapter;
    protected readonly networkService: NetworkService;
    mirrorNodes: MirrorNodes;
    jsonRpcRelays: JsonRpcRelays;
    factories: Factories;
    resolvers: Resolvers;
    businessLogicKeysCommon: BusinessLogicKeys;
    businessLogicKeysEquity: BusinessLogicKeys;
    businessLogicKeysBond: BusinessLogicKeys;
    protected signer: Signer;
    constructor(mirrorNodeAdapter: MirrorNodeAdapter, networkService: NetworkService);
    private executeWithArgs;
    private executeWithParams;
    private buildAndSendTransaction;
    setMirrorNodes(mirrorNodes?: MirrorNodes): void;
    setJsonRpcRelays(jsonRpcRelays?: JsonRpcRelays): void;
    setFactories(factories?: Factories): void;
    setResolvers(resolvers?: Resolvers): void;
    setBusinessLogicKeysCommon(businessLogicKeys?: BusinessLogicKeys): void;
    setBusinessLogicKeysEquity(businessLogicKeys?: BusinessLogicKeys): void;
    setBusinessLogicKeysBond(businessLogicKeys?: BusinessLogicKeys): void;
    createEquity(securityInfo: Security, equityInfo: EquityDetails, factory: EvmAddress, resolver: EvmAddress, configId: string, configVersion: number, compliance: EvmAddress, identityRegistryAddress: EvmAddress, externalPauses?: EvmAddress[], externalControlLists?: EvmAddress[], externalKycLists?: EvmAddress[], diamondOwnerAccount?: EvmAddress, factoryId?: ContractId | string): Promise<TransactionResponse>;
    createBond(securityInfo: Security, bondInfo: BondDetails, factory: EvmAddress, resolver: EvmAddress, configId: string, configVersion: number, compliance: EvmAddress, identityRegistry: EvmAddress, externalPauses?: EvmAddress[], externalControlLists?: EvmAddress[], externalKycLists?: EvmAddress[], diamondOwnerAccount?: EvmAddress, proceedRecipients?: EvmAddress[], proceedRecipientsData?: string[], factoryId?: ContractId | string): Promise<TransactionResponse>;
    transfer(security: EvmAddress, targetId: EvmAddress, amount: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    transferAndLock(security: EvmAddress, targetId: EvmAddress, amount: BigDecimal, expirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    redeem(security: EvmAddress, amount: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    burn(security: EvmAddress, source: EvmAddress, amount: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    pause(security: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    unpause(security: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    grantRole(security: EvmAddress, targetId: EvmAddress, role: SecurityRole, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    applyRoles(security: EvmAddress, targetId: EvmAddress, roles: SecurityRole[], actives: boolean[], securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    revokeRole(security: EvmAddress, targetId: EvmAddress, role: SecurityRole, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    renounceRole(security: EvmAddress, role: SecurityRole, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    issue(security: EvmAddress, targetId: EvmAddress, amount: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    mint(security: EvmAddress, target: EvmAddress, amount: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    addToControlList(security: EvmAddress, targetId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    removeFromControlList(security: EvmAddress, targetId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    protectedTransferAndLockByPartition(security: EvmAddress, partitionId: string, amount: BigDecimal, sourceId: EvmAddress, targetId: EvmAddress, expirationDate: BigDecimal, deadline: BigDecimal, nounce: BigDecimal, signature: string, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    controllerTransfer(security: EvmAddress, sourceId: EvmAddress, targetId: EvmAddress, amount: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    forcedTransfer(security: EvmAddress, source: EvmAddress, target: EvmAddress, amount: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    controllerRedeem(security: EvmAddress, sourceId: EvmAddress, amount: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    setDividends(security: EvmAddress, recordDate: BigDecimal, executionDate: BigDecimal, amount: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    setVotingRights(security: EvmAddress, recordDate: BigDecimal, data: string, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    setCoupon(security: EvmAddress, recordDate: BigDecimal, executionDate: BigDecimal, rate: BigDecimal, period: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    takeSnapshot(security: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    setDocument(security: EvmAddress, name: string, uri: string, hash: string, securityId: ContractId | string): Promise<TransactionResponse>;
    removeDocument(security: EvmAddress, name: string, securityId: ContractId | string): Promise<TransactionResponse>;
    authorizeOperator(security: EvmAddress, targetId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    revokeOperator(security: EvmAddress, targetId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    authorizeOperatorByPartition(security: EvmAddress, targetId: EvmAddress, partitionId: string, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    revokeOperatorByPartition(security: EvmAddress, targetId: EvmAddress, partitionId: string, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    operatorTransferByPartition(security: EvmAddress, sourceId: EvmAddress, targetId: EvmAddress, amount: BigDecimal, partitionId: string, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    setMaxSupply(security: EvmAddress, maxSupply: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    triggerPendingScheduledSnapshots(security: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    triggerScheduledSnapshots(security: EvmAddress, max: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    lock(security: EvmAddress, sourceId: EvmAddress, amount: BigDecimal, expirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    release(security: EvmAddress, sourceId: EvmAddress, lockId: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    updateConfigVersion(security: EvmAddress, configVersion: number, securityId: ContractId | string): Promise<TransactionResponse>;
    updateConfig(security: EvmAddress, configId: string, configVersion: number, securityId: ContractId | string): Promise<TransactionResponse>;
    updateResolver(security: EvmAddress, resolver: EvmAddress, configVersion: number, configId: string, securityId: ContractId | string): Promise<TransactionResponse>;
    updateMaturityDate(security: EvmAddress, maturityDate: number, securityId: ContractId | string): Promise<TransactionResponse>;
    setScheduledBalanceAdjustment(security: EvmAddress, executionDate: BigDecimal, factor: BigDecimal, decimals: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    protectPartitions(security: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    unprotectPartitions(security: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    protectedRedeemFromByPartition(security: EvmAddress, partitionId: string, sourceId: EvmAddress, amount: BigDecimal, deadline: BigDecimal, nounce: BigDecimal, signature: string, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    protectedTransferFromByPartition(security: EvmAddress, partitionId: string, sourceId: EvmAddress, targetId: EvmAddress, amount: BigDecimal, deadline: BigDecimal, nounce: BigDecimal, signature: string, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    protectedTransferAndLock(security: EvmAddress, amount: BigDecimal, sourceId: EvmAddress, targetId: EvmAddress, expirationDate: BigDecimal, deadline: BigDecimal, nounce: BigDecimal, signature: string, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    createHoldByPartition(security: EvmAddress, partitionId: string, escrowId: EvmAddress, amount: BigDecimal, targetId: EvmAddress, expirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    createHoldFromByPartition(security: EvmAddress, partitionId: string, escrowId: EvmAddress, amount: BigDecimal, sourceId: EvmAddress, targetId: EvmAddress, expirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    controllerCreateHoldByPartition(security: EvmAddress, partitionId: string, escrowId: EvmAddress, amount: BigDecimal, sourceId: EvmAddress, targetId: EvmAddress, expirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    protectedCreateHoldByPartition(security: EvmAddress, partitionId: string, amount: BigDecimal, escrowId: EvmAddress, sourceId: EvmAddress, targetId: EvmAddress, expirationDate: BigDecimal, deadline: BigDecimal, nonce: BigDecimal, signature: string, securityId: ContractId | string): Promise<TransactionResponse>;
    releaseHoldByPartition(security: EvmAddress, partitionId: string, holdId: number, targetId: EvmAddress, amount: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    reclaimHoldByPartition(security: EvmAddress, partitionId: string, holdId: number, targetId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    executeHoldByPartition(security: EvmAddress, sourceId: EvmAddress, targetId: EvmAddress, amount: BigDecimal, partitionId: string, holdId: number, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    addIssuer(security: EvmAddress, issuer: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    setRevocationRegistryAddress(security: EvmAddress, revocationRegistry: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    removeIssuer(security: EvmAddress, issuer: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    grantKyc(security: EvmAddress, targetId: EvmAddress, vcBase64: string, validFrom: BigDecimal, validTo: BigDecimal, issuer: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    revokeKyc(security: EvmAddress, targetId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    activateClearing(security: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    deactivateClearing(security: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    clearingTransferByPartition(security: EvmAddress, partitionId: string, amount: BigDecimal, targetId: EvmAddress, expirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    clearingTransferFromByPartition(security: EvmAddress, partitionId: string, amount: BigDecimal, sourceId: EvmAddress, targetId: EvmAddress, expirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    protectedClearingTransferByPartition(security: EvmAddress, partitionId: string, amount: BigDecimal, sourceId: EvmAddress, targetId: EvmAddress, expirationDate: BigDecimal, deadline: BigDecimal, nonce: BigDecimal, signature: string, securityId: ContractId | string): Promise<TransactionResponse>;
    approveClearingOperationByPartition(security: EvmAddress, partitionId: string, targetId: EvmAddress, clearingId: number, clearingOperationType: ClearingOperationType, securityId: ContractId | string): Promise<TransactionResponse>;
    cancelClearingOperationByPartition(security: EvmAddress, partitionId: string, targetId: EvmAddress, clearingId: number, clearingOperationType: ClearingOperationType, securityId: ContractId | string): Promise<TransactionResponse>;
    reclaimClearingOperationByPartition(security: EvmAddress, partitionId: string, targetId: EvmAddress, clearingId: number, clearingOperationType: ClearingOperationType, securityId: ContractId | string): Promise<TransactionResponse>;
    clearingRedeemByPartition(security: EvmAddress, partitionId: string, amount: BigDecimal, expirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    clearingRedeemFromByPartition(security: EvmAddress, partitionId: string, amount: BigDecimal, sourceId: EvmAddress, expirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    protectedClearingRedeemByPartition(security: EvmAddress, partitionId: string, amount: BigDecimal, sourceId: EvmAddress, expirationDate: BigDecimal, deadline: BigDecimal, nonce: BigDecimal, signature: string, securityId: ContractId | string): Promise<TransactionResponse>;
    clearingCreateHoldByPartition(security: EvmAddress, partitionId: string, escrowId: EvmAddress, amount: BigDecimal, targetId: EvmAddress, clearingExpirationDate: BigDecimal, holdExpirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    clearingCreateHoldFromByPartition(security: EvmAddress, partitionId: string, escrowId: EvmAddress, amount: BigDecimal, sourceId: EvmAddress, targetId: EvmAddress, clearingExpirationDate: BigDecimal, holdExpirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    protectedClearingCreateHoldByPartition(security: EvmAddress, partitionId: string, amount: BigDecimal, escrowId: EvmAddress, sourceId: EvmAddress, targetId: EvmAddress, clearingExpirationDate: BigDecimal, holdExpirationDate: BigDecimal, deadline: BigDecimal, nonce: BigDecimal, signature: string, securityId: ContractId | string): Promise<TransactionResponse<any, Error>>;
    operatorClearingCreateHoldByPartition(security: EvmAddress, partitionId: string, escrowId: EvmAddress, amount: BigDecimal, sourceId: EvmAddress, targetId: EvmAddress, clearingExpirationDate: BigDecimal, holdExpirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    operatorClearingRedeemByPartition(security: EvmAddress, partitionId: string, amount: BigDecimal, sourceId: EvmAddress, expirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    operatorClearingTransferByPartition(security: EvmAddress, partitionId: string, amount: BigDecimal, sourceId: EvmAddress, targetId: EvmAddress, expirationDate: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    updateExternalPauses(security: EvmAddress, externalPausesAddresses: EvmAddress[], actives: boolean[], securityId: ContractId | string): Promise<TransactionResponse>;
    addExternalPause(security: EvmAddress, externalPauseAddress: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    removeExternalPause(security: EvmAddress, externalPauseAddress: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    setPausedMock(contract: EvmAddress, paused: boolean, contractId: ContractId | string): Promise<TransactionResponse>;
    createExternalPauseMock(): Promise<TransactionResponse>;
    updateExternalControlLists(security: EvmAddress, externalControlListsAddresses: EvmAddress[], actives: boolean[], securityId: ContractId | string): Promise<TransactionResponse>;
    addExternalControlList(security: EvmAddress, externalControlListAddress: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    removeExternalControlList(security: EvmAddress, externalControlListAddress: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    addToBlackListMock(contract: EvmAddress, targetId: EvmAddress, contractId: ContractId | string): Promise<TransactionResponse>;
    addToWhiteListMock(contract: EvmAddress, targetId: EvmAddress, contractId: ContractId | string): Promise<TransactionResponse>;
    removeFromBlackListMock(contract: EvmAddress, targetId: EvmAddress, contractId: ContractId | string): Promise<TransactionResponse>;
    removeFromWhiteListMock(contract: EvmAddress, targetId: EvmAddress, contractId: ContractId | string): Promise<TransactionResponse>;
    createExternalBlackListMock(): Promise<TransactionResponse>;
    createExternalWhiteListMock(): Promise<TransactionResponse>;
    updateExternalKycLists(security: EvmAddress, externalKycListsAddresses: EvmAddress[], actives: boolean[], securityId: ContractId | string): Promise<TransactionResponse>;
    addExternalKycList(security: EvmAddress, externalKycListAddress: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    removeExternalKycList(security: EvmAddress, externalKycListAddress: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    grantKycMock(contract: EvmAddress, targetId: EvmAddress, contractId: ContractId | string): Promise<TransactionResponse>;
    revokeKycMock(contract: EvmAddress, targetId: EvmAddress, contractId: ContractId | string): Promise<TransactionResponse>;
    createExternalKycListMock(): Promise<TransactionResponse>;
    activateInternalKyc(security: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    deactivateInternalKyc(security: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    setName(security: EvmAddress, name: string, securityId: ContractId | string): Promise<TransactionResponse>;
    setSymbol(security: EvmAddress, symbol: string, securityId: ContractId | string): Promise<TransactionResponse>;
    setOnchainID(security: EvmAddress, onchainID: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    setIdentityRegistry(security: EvmAddress, identityRegistry: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    setCompliance(security: EvmAddress, compliance: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    freezePartialTokens(security: EvmAddress, amount: BigDecimal, targetId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    unfreezePartialTokens(security: EvmAddress, amount: BigDecimal, targetId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    recoveryAddress(security: EvmAddress, lostWalletId: EvmAddress, newWalletId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    addAgent(security: EvmAddress, agentId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    removeAgent(security: EvmAddress, agentId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    batchTransfer(security: EvmAddress, amountList: BigDecimal[], toList: EvmAddress[], securityId: ContractId | string): Promise<TransactionResponse>;
    batchForcedTransfer(security: EvmAddress, amountList: BigDecimal[], fromList: EvmAddress[], toList: EvmAddress[], securityId: ContractId | string): Promise<TransactionResponse>;
    batchMint(security: EvmAddress, amountList: BigDecimal[], toList: EvmAddress[], securityId: ContractId | string): Promise<TransactionResponse>;
    batchBurn(security: EvmAddress, amountList: BigDecimal[], targetList: EvmAddress[], securityId: ContractId | string): Promise<TransactionResponse>;
    batchSetAddressFrozen(security: EvmAddress, freezeList: boolean[], targetList: EvmAddress[], securityId: ContractId | string): Promise<TransactionResponse>;
    batchFreezePartialTokens(security: EvmAddress, amountList: BigDecimal[], targetList: EvmAddress[], securityId: ContractId | string): Promise<TransactionResponse>;
    batchUnfreezePartialTokens(security: EvmAddress, amountList: BigDecimal[], targetList: EvmAddress[], securityId: ContractId | string): Promise<TransactionResponse>;
    setAddressFrozen(security: EvmAddress, status: boolean, target: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    redeemAtMaturityByPartition(security: EvmAddress, partitionId: string, sourceId: EvmAddress, amount: BigDecimal, securityId: ContractId | string): Promise<TransactionResponse>;
    fullRedeemAtMaturity(security: EvmAddress, sourceId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    createTrexSuiteBond(salt: string, owner: string, irs: string, onchainId: string, irAgents: string[], tokenAgents: string[], compliancesModules: string[], complianceSettings: string[], claimTopics: number[], issuers: string[], issuerClaims: number[][], security: Security, bondDetails: BondDetails, factory: EvmAddress, resolver: EvmAddress, configId: string, configVersion: number, compliance: EvmAddress, identityRegistryAddress: EvmAddress, diamondOwnerAccount: EvmAddress, proceedRecipients?: EvmAddress[], proceedRecipientsData?: string[], externalPauses?: EvmAddress[], externalControlLists?: EvmAddress[], externalKycLists?: EvmAddress[], factoryId?: ContractId | string): Promise<TransactionResponse>;
    createTrexSuiteEquity(salt: string, owner: string, irs: string, onchainId: string, irAgents: string[], tokenAgents: string[], compliancesModules: string[], complianceSettings: string[], claimTopics: number[], issuers: string[], issuerClaims: number[][], security: Security, equityDetails: EquityDetails, factory: EvmAddress, resolver: EvmAddress, configId: string, configVersion: number, compliance: EvmAddress, identityRegistryAddress: EvmAddress, diamondOwnerAccount: EvmAddress, externalPauses?: EvmAddress[], externalControlLists?: EvmAddress[], externalKycLists?: EvmAddress[], factoryId?: ContractId | string): Promise<TransactionResponse>;
    addProceedRecipient(security: EvmAddress, proceedRecipient: EvmAddress, data: string, securityId?: ContractId | string): Promise<TransactionResponse>;
    removeProceedRecipient(security: EvmAddress, proceedRecipient: EvmAddress, securityId?: ContractId | string): Promise<TransactionResponse>;
    updateProceedRecipientData(security: EvmAddress, proceedRecipient: EvmAddress, data: string, securityId?: ContractId | string): Promise<TransactionResponse>;
    abstract signAndSendTransaction(transaction: Transaction, transactionType?: TransactionType, functionName?: string, abi?: object[]): Promise<TransactionResponse>;
}
